Page MenuHomePhabricator

Mapframe: Leaflet.Draw action buttons are unreadable
Closed, ResolvedPublic

Description

The default presentation is dark grey background and there's a dark blue text on top.

Style it, instead, using our conventions similar as possible to OOUI, with standard colors, bolding, and style, to, at the very least, make the buttons readable.

Event Timeline

Mooeypoo created this task.May 9 2018, 12:18 AM
Restricted Application added a project: Maps. · View Herald TranscriptMay 9 2018, 12:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 432020 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Kartographer@master] Style Leaflet.Draw buttons to be readable

https://gerrit.wikimedia.org/r/432020

Restricted Application added a project: Discovery. · View Herald TranscriptMay 9 2018, 12:18 AM
Mooeypoo added a subscriber: Volker_E.

This color scheme was approved (and guided by) @Volker_E, based on our standard button behavior.

Change 432020 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Style Leaflet.Draw buttons to be readable

https://gerrit.wikimedia.org/r/432020

Etonkovidova closed this task as Resolved.May 11 2018, 10:23 PM
Etonkovidova added a subscriber: Etonkovidova.

Fixed (betalabs):

The position of the original leaflet icons isn't correct (they are too far right). Is there a task for it?

The position of the original leaflet icons isn't correct (they are too far right). Is there a task for it?

This is what we seem to get from Leaflet -- and isn't the only thing that's quite a bit unsuitable to our design.

There's no task, feel free to open one, I'll try to adjust it a bit, but I would also be careful how deep we go into the pit of "fixing" Leaflet.Draw; we are considering trying to get it upgraded to latest version and stop maintaining a separate (unmaintanable...) fork...

Vvjjkkii renamed this task from Mapframe: Leaflet.Draw action buttons are unreadable to 3bdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Mooeypoo as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 3bdaaaaaaa to Mapframe: Leaflet.Draw action buttons are unreadable.Jul 1 2018, 3:06 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Mooeypoo.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.